/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

function scancode(target) {
    cordova.plugins.barcodeScanner.scan(
            function (result) {
                if (!result.cancelled) {
                    $(target).val(result.text);
                }
            },
            function (error) {
                alert("Scanning failed: " + error);
            },
            {
                "showFlipCameraButton": true,
                "prompt": "Scan Barcode"
            }
    );
}
$(document).ready(function () {
    $("#maindiv").on("click", "[data-scancode]", function (e) {
        scancode($(this).data('scancode'));
    });
});